package com.muyu.marketing.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 拼团活动商品sku修改模型
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActivityTeamProductSkuUpdModel {
    /**
     * 商品id
     */
    private Long ProductId;

    /**
     * 团购价格
     */
    private BigDecimal teamPrice;

    /**
     * 团购库存
     */
    private Long teamStock;
}
