package com.muyu.marketing.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 商品规格的修改模型
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ProductSkuUpdModel {

    /**
     * 商品ID
     */
    private Long productId;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;
}
