package com.muyu.marketing.domain.resp;

import com.muyu.marketing.domain.model.ActivityTeamProductSkuAddModel;
import com.muyu.marketing.domain.model.ActivityTeamProductSkuUpdModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActivityProductUpdResp {
    /**
     * 商品修改SkU集合
     */
    private List<ActivityTeamProductSkuUpdModel> activityTeamProductSkuUpdList;

    /**
     * 删除商品规格idList
     */
    private List<Long> deleteSkuIdList;

    /**
     * 添加商品规格的List
     */
    private List<ActivityTeamProductSkuAddModel> activityTeamProductSkuAddList;


}
