package com.muyu.product.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.RuleInfo;
import com.muyu.product.domain.req.RuleAttrInfoReq;
import com.muyu.product.domain.req.RuleInfoEditReq;
import com.muyu.product.domain.resp.RuleInfoResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 商品规格Mapper接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Mapper
public interface RuleInfoMapper extends BaseMapper<RuleInfo> {

    RuleInfoResp getRuleById(Long id);

    void updRule(@Param("id") Long id, @Param("ruleInfoEditReq") RuleAttrInfoReq ruleInfoEditReq);

    void deleteRule(Long id);
    void addRuleAttrModel(@Param("id") Long id, @Param("name") String name, @Param("valueData") String substring);

    Integer have(Long id);

    String getName(Long ruleId);

    RuleInfo getById(Long ruleId);
}
