package com.muyu.marketing.domain.resp;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 商品规格数据
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ProductSkuResp {
    /**
     * 规格id
     */
    private Long ProductId;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;
}
