package com.muyu.product.domain.resp;

import com.muyu.product.domain.AttributeInfo;
import com.muyu.product.domain.RuleAttrInfo;
import com.muyu.product.domain.model.RuleAttrAddModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RuleGroupUpdResp {
    private Long id;

    /** 规格名称 */
    private String name;

    /** 规格状态 */
    private String status;


    /**
     * 规格属性集合
     */
    private List<RuleAttrInfo> ruleAttrList;
}
