package com.muyu.product.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.CategoryInfo;
import com.muyu.product.domain.resp.CategoryInfoResp;
import org.apache.ibatis.annotations.Mapper;

/**
 * 品类信息Mapper接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Mapper
public interface CategoryInfoMapper extends BaseMapper<CategoryInfo> {

    int findById(String ids);

    List<CategoryInfo> getListByIds(String ids);
}
